
GammaLib - Action #1940

Load CTA IRF upon demand

03/03/2017 05:03 PM - Knödlseder Jürgen

Status: Closed Start date: 03/03/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.3.0   

Description

The loading of a CTA observation definition XML file takes a long time, probably because the response functions are loaded for each

observation. It should be investigated whether the loading of the IRF upon demand accelerates things.

History

#1 - 03/22/2017 11:23 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 80

It turned out that the energy dispersion loading in GCTAEdisp2D is the bottle neck of the observation definition XML file loading.

I therefore implemented lazy loading for the energy dispersion information. The fetch() method was introduced for this purpose. The method should

be thread safe (it was copied basically from the GCTAEventList::fetch() method.

#2 - 03/23/2017 09:38 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Merged into devel.
